%define up_name     SDL2_net

%define major       0
%define apiver      2.0

%define libname     %mklibname %{name} %{apiver} %{major}
%define develname   %mklibname %{name} -d
%define develsname  %mklibname %{name} -d -s

Summary:        SDL2 Network Support Library
Name:           sdl2_net
Version:        2.2.0
Release:        %mkrel 1
License:        zlib
Group:          System/Libraries
URL:            https://www.libsdl.org/projects/SDL_net/
Source0:        https://www.libsdl.org/projects/SDL_net/release/%{up_name}-%{version}.tar.xz

BuildRequires:  pkgconfig(sdl2)
BuildRequires:  sdl2-static-devel

%description
This is a small sample cross-platform networking library.

%package -n     %{libname}
Summary:        Main library for %{name}
Group:          System/Libraries
Obsoletes:      %{_lib}%{name}2.0_2
Provides:        %{_lib}%{name}2.0_2 = %{version}-%{release}

%description -n %{libname}
This package contains the library needed to run programs dynamically
linked with %{name}.

%package -n     %{develname}
Summary:        Headers for developing programs that will use %{name}
Group:          Development/Libraries
Requires:       %{libname} = %{version}-%{release}
Provides:       lib%{name}-devel = %{version}-%{release}
Provides:       %{name}%{major}-devel = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}

%description -n %{develname}
This package contains the headers that programmers will need to develop
applications which will use %{name}.

%package -n     %{develsname}
Summary:        Static library for developing static programs that use %{name}
Group:          Development/Libraries
Provides:       %{name}-static-devel = %{version}-%{release}
Provides:       %{up_name}-static-devel = %{version}-%{release}

%description -n %{develsname}
This package contains the static library that programmers will need
to develop static applications which are using %{name}.

%prep
%setup -q -n %{up_name}-%{version}

%build
%configure2_5x
%make_build

%install
rm -rf %buildroot
%make_install

rm -f %buildroot/%{_libdir}/*.la

%files -n %{libname}
%{_libdir}/lib%{up_name}-%{apiver}.so.%{major}
%{_libdir}/lib%{up_name}-%{apiver}.so.%{major}.*

%files -n %{develname}
%{_libdir}/lib%{up_name}.so
%{_libdir}/cmake/SDL2_net/
%{_libdir}/pkgconfig/%{up_name}.pc
%{_includedir}/SDL2/*

%files -n %{develsname}
%{_libdir}/lib%{up_name}.*a


%changelog
* Fri Dec 02 2022 tex - 2.2.0-1pclos2022
- new version
